|
马上注册,结交更多同行朋友,交流,分享,学习。
您需要 登录 才可以下载或查看,没有帐号?注册
x
斑竹,我先做了个圆柱,然后想用UF_MODL_create_blend把两头导圆,可是编译都通过了,运行时怎么也倒不出来,我的程序如下:
UF_FEATURE_SIGN sign=UF_NULLSIGN;
tag_t cyl_tag , target_tag=0 , blend_tag;
double origin[3]={0.0,0.0,0.0};
char* height="10";
char* diam="5";
double direction[3]={0.0,0.0,1.0};
uf_list_p_t edge_list;
char * radius="0.1";
double vrb_tool=0.0254;
/* Initialize the API environment */
int errorCode = UF_initialize();
UF_MODL_create_cylinder (sign, target_tag, origin,height, diam,direction, [$cyl_tag )]
UF_MODL_ask_body_edges (cyl_tag, [$edge_list )]
UF_MODL_create_blend ( radius, edge_list, 0,0,0, vrb_tool,[$blend_tag )]
if ( 0 == errorCode )
{
/* TODO: Add your application code here */
/* Terminate the API environment */
errorCode = UF_terminate();
}
请斑竹指点哪里出了问题::? |
|